From: Ojaswin Mujoo <ojaswin@linux.ibm.com>
To: fstests@vger.kernel.org
Cc: Ritesh Harjani <ritesh.list@gmail.com>,
djwong@kernel.org, john.g.garry@oracle.com
Subject: [RFC 07/12] generic/771: Stress fsx with atomic writes enabled
Date: Wed, 11 Jun 2025 15:04:50 +0530 [thread overview]
Message-ID: <136feebfb52701ecd7c85e4f4bd805ce97763e50.1749629233.git.ojaswin@linux.ibm.com> (raw)
In-Reply-To: <cover.1749629233.git.ojaswin@linux.ibm.com>
Stress file with atomic writes to ensure we excercise codepaths
where we are mixing different FS operations with atomic writes
Suggested-by: Ritesh Harjani (IBM) <ritesh.list@gmail.com>
Signed-off-by: Ojaswin Mujoo <ojaswin@linux.ibm.com>
---
tests/generic/771 | 49 +++++++++++++++++++++++++++++++++++++++++++
tests/generic/771.out | 2 ++
2 files changed, 51 insertions(+)
create mode 100755 tests/generic/771
create mode 100644 tests/generic/771.out
diff --git a/tests/generic/771 b/tests/generic/771
new file mode 100755
index 00000000..690dfa0a
--- /dev/null
+++ b/tests/generic/771
@@ -0,0 +1,49 @@
+#! /bin/bash
+# SPDX-License-Identifier: GPL-2.0
+# Copyright (c) 2025 IBM Corporation. All Rights Reserved.
+#
+# FS QA Test 771
+#
+# fuzz fsx with atomic writes
+#
+. ./common/preamble
+. ./common/atomicwrites
+_begin_fstest rw auto quick atomicwrites
+
+# Import common functions.
+. ./common/filter
+
+_require_test
+_require_odirect
+_require_scratch_write_atomic
+
+_scratch_mkfs >> $seqres.full 2>&1
+_scratch_mount >> $seqres.full 2>&1
+
+testfile=$SCRATCH_MNT/testfile
+touch $testfile
+
+awu_max=$(_get_atomic_write_unit_max $testfile)
+blksz=$(_get_block_size $SCRATCH_MNT)
+bsize=`$here/src/min_dio_alignment $SCRATCH_MNT $SCRATCH_DEV`
+
+# fsx usage:
+#
+# -N numops: total # operations to do
+# -l flen: the upper bound on file size
+# -o oplen: the upper bound on operation size (64k default)
+# -w writebdy: $psize would make writes page aligned (on i386)
+# -Z: O_DIRECT (use -R, -W, -r and -w too)
+# -W: mapped write operations DISabled
+
+_run_fsx_on_file $testfile -N 10000 -a -o $awu_max -l 500000 -r $bsize -w $bsize -Z -W $FSX_AVOID >> $seqres.full
+status=$?
+
+if [[ "$status" != "0" ]]
+then
+ echo "Somthing went wrong, check $seqres.full"
+fi
+
+echo "Silence is golden"
+status=0
+exit
diff --git a/tests/generic/771.out b/tests/generic/771.out
new file mode 100644
index 00000000..c2345c7b
--- /dev/null
+++ b/tests/generic/771.out
@@ -0,0 +1,2 @@
+QA output created by 771
+Silence is golden
--
2.49.0
next prev parent reply other threads:[~2025-06-11 9:35 UTC|newest]
Thread overview: 61+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-06-11 9:34 [RFC 00/12] Add more tests for multi fs block atomic writes Ojaswin Mujoo
2025-06-11 9:34 ` [RFC 01/12] common/preamble: Fix fsx for ext4 with bigalloc Ojaswin Mujoo
2025-06-11 14:30 ` Darrick J. Wong
2025-06-12 6:11 ` Ojaswin Mujoo
2025-06-12 14:36 ` Darrick J. Wong
2025-06-13 5:31 ` Ojaswin Mujoo
2025-06-13 15:04 ` Darrick J. Wong
2025-06-17 6:22 ` Ojaswin Mujoo
2025-06-30 15:27 ` Darrick J. Wong
2025-06-18 19:13 ` Zorro Lang
2025-06-20 6:21 ` Ojaswin Mujoo
2025-06-20 9:59 ` Zorro Lang
2025-06-11 9:34 ` [RFC 02/12] common/rc: Add a helper to run fsx on a given file Ojaswin Mujoo
2025-06-11 14:31 ` Darrick J. Wong
2025-06-12 6:17 ` Ojaswin Mujoo
2025-06-12 14:35 ` Darrick J. Wong
2025-06-11 9:34 ` [RFC 03/12] ltp/fsx.c: Add atomic writes support to fsx Ojaswin Mujoo
2025-06-11 14:35 ` Darrick J. Wong
2025-06-12 6:18 ` Ojaswin Mujoo
2025-06-11 9:34 ` [RFC 04/12] generic/767: Add atomic write test using fio crc check verifier Ojaswin Mujoo
2025-06-11 14:42 ` Darrick J. Wong
2025-06-12 6:22 ` Ojaswin Mujoo
2025-06-12 14:55 ` Darrick J. Wong
2025-06-18 19:34 ` Zorro Lang
2025-06-20 7:06 ` Ojaswin Mujoo
2025-06-11 9:34 ` [RFC 05/12] generic/769: Add atomic write test using fio verify on file mixed mappings Ojaswin Mujoo
2025-06-11 15:35 ` Darrick J. Wong
2025-06-11 9:34 ` [RFC 06/12] generic/770: Add atomic write multi-fsblock O_[D]SYNC tests Ojaswin Mujoo
2025-06-11 15:36 ` Darrick J. Wong
2025-06-12 6:23 ` Ojaswin Mujoo
2025-06-18 20:17 ` Zorro Lang
2025-06-20 8:20 ` Ojaswin Mujoo
2025-06-20 12:12 ` Zorro Lang
2025-06-11 9:34 ` Ojaswin Mujoo [this message]
2025-06-11 14:45 ` [RFC 07/12] generic/771: Stress fsx with atomic writes enabled Darrick J. Wong
2025-06-12 6:27 ` Ojaswin Mujoo
2025-06-12 15:14 ` Darrick J. Wong
2025-06-13 5:20 ` Ojaswin Mujoo
2025-06-18 20:27 ` Zorro Lang
2025-06-20 8:26 ` Ojaswin Mujoo
2025-06-11 9:34 ` [RFC 08/12] generic/772: Add sudden shutdown tests for multi block atomic writes Ojaswin Mujoo
2025-06-11 15:38 ` Darrick J. Wong
2025-06-12 6:28 ` Ojaswin Mujoo
2025-06-19 7:15 ` Zorro Lang
2025-06-20 11:11 ` Ojaswin Mujoo
2025-06-20 14:05 ` John Garry
2025-06-20 15:24 ` Ojaswin Mujoo
2025-06-11 9:34 ` [RFC 09/12] ext4/061: Atomic writes stress test for bigalloc using fio crc verifier Ojaswin Mujoo
2025-06-19 7:43 ` Zorro Lang
2025-06-20 15:08 ` Ojaswin Mujoo
2025-06-20 16:53 ` Zorro Lang
2025-06-11 9:34 ` [RFC 10/12] ext4/062: Atomic writes test for bigalloc using fio crc verifier on multiple files Ojaswin Mujoo
2025-06-12 10:26 ` John Garry
2025-06-13 5:37 ` Ojaswin Mujoo
2025-06-20 14:01 ` John Garry
2025-06-20 16:49 ` Ojaswin Mujoo
2025-06-19 7:45 ` Zorro Lang
2025-06-11 9:34 ` [RFC 11/12] ext4/063: Atomic write test for extent split across leaf nodes Ojaswin Mujoo
2025-06-19 7:52 ` Zorro Lang
2025-06-11 9:34 ` [RFC 12/12] ext4/064: Add atomic write tests for journal credit calculation Ojaswin Mujoo
2025-06-19 7:58 ` Zorro Lang
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=136feebfb52701ecd7c85e4f4bd805ce97763e50.1749629233.git.ojaswin@linux.ibm.com \
--to=ojaswin@linux.ibm.com \
--cc=djwong@kernel.org \
--cc=fstests@vger.kernel.org \
--cc=john.g.garry@oracle.com \
--cc=ritesh.list@gmail.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox